Bug 497250 - brocken interpreter %a for Win2K3 R2
brocken interpreter %a for Win2K3 R2
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: samba (Show other bugs)
5.3
i386 Linux
low Severity low
: rc
: ---
Assigned To: Guenther Deschner
qe-baseos-daemons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-22 20:35 EDT by Andrey
Modified: 2010-05-17 10:44 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-17 10:44:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Win2K3 R2 (11.14 KB, image/png)
2010-02-17 19:30 EST, Andrey
no flags Details
Win2K3 (8.66 KB, image/png)
2010-02-17 19:31 EST, Andrey
no flags Details

  None (edit)
Description Andrey 2009-04-22 20:35:00 EDT
Description of problem:

I use two servers Win2k3 (Rus) and Win2k3 R2 (Rus) with latest updates.

if you use it:
[netlogon]
path = /samba/netlogon/%a

Win2k3 open folder /samba/netlogon/Win2k3
Win2K3 R2 always open folder /samba/netlogon/Win2K

Version-Release number of selected component (if applicable):
samba-3.0.33-3.7.el5

How reproducible:
with previous versions was the same.

Steps to Reproduce:
1. use %a parameter in smb.conf
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Andrey 2010-02-17 19:28:26 EST
I also checked the version samba3-3.2.14-40.el5 and samba3-3.4.5-42.el5 (from ftp://ftp.sernet.de/pub/samba/experimental).
Same error. See screenshots.
Comment 2 Andrey 2010-02-17 19:30:42 EST
Created attachment 394852 [details]
Win2K3 R2
Comment 3 Andrey 2010-02-17 19:31:04 EST
Created attachment 394853 [details]
Win2K3
Comment 4 Dmitri Pal 2010-05-17 10:44:08 EDT
There macro is not reliable. There is no plan to fix until the upstream finds a better way to deal with %a macro.

Note You need to log in before you can comment on or make changes to this bug.